package com.atlassian.stash.internal.johnson;

import com.atlassian.johnson.Johnson;
import org.junit.AfterClass;
import org.junit.BeforeClass;
import org.springframework.core.io.ClassPathResource;

public abstract class BaseJohnsonTest {

    @BeforeClass
    public static void initJohnson() throws Exception {
        Johnson.initialize(new ClassPathResource("johnson-config.xml").getURL().getPath());
    }

    @AfterClass
    public static void terminateJohnson() throws Exception {
        Johnson.terminate();
    }
}
